#' pred_rfci_wager2014_prime

#' pred_rfci_wager2014_prime
#' Adaptation of method from wager2014 with Ranger
#' @param model_rf Ranger RF model only
#' @param dataset dataset with target, Predictors
#' @param target column name of the target
#' @keywords cipred
#' @export
#' @examples
#' \dontrun{
#' pred_RFreg_wager2014_prime()
#' }
#
pred_rfci_wager2014_prime <- function(model_rf,dataset,target){
  tmp <- predict_ranger(model_rf,dataset)
  res <- data.frame(obs=dataset[[target]],
                    prediction=tmp$predictions,
                    se_r=tmp$se,
                    lower_pred_0_05 = tmp$predictions - 1.96*tmp$se,
                    upper_pred_0_05 = tmp$predictions + 1.96*tmp$se,
                    pvalue =stats::pnorm(q=dataset[[target]], mean=tmp$predictions,sd=tmp$se),
                    method      = rep("ranger_wager2014_prime",length(dataset[[target]])))
  return(res)
}

#' pred_rfci_wager2014

#' pred_rfci_wager2014
#' Adaptation of method from wager2014 with Ranger
#' @param model_rf Ranger RF model only
#' @param dataset dataset with Predictors
#' @keywords cipred
#' @export
#' @examples
#' \dontrun{
#' pred_rfci_wager2014()
#' }
#
pred_rfci_wager2014 <- function(model_rf,dataset){
  tmp <- predict_ranger(model_rf,dataset)
  res <- data.frame(prediction=tmp$predictions,
                    se_r=tmp$se,
                    lower_pred_0_05 = tmp$predictions - 1.96*tmp$se,
                    upper_pred_0_05 = tmp$predictions + 1.96*tmp$se,
                    reu_0_05 = 100*1.96*tmp$se/tmp$predictions,
                    method      = rep("ranger_wager2014",length(tmp$predictions)))
  return(res)
}
