# cipred

Confidence Interval Prediction.

Methods: Lu2019, Wager2014, Eaamm2010.

Reference paper:
>> Lepioufle, J.-M.; Marsteen, L.; Johnsrud, M. Error Prediction of Air Quality at Monitoring Stations Using Random Forest in a Total Error Framework. Sensors 2021, 21, 2160. https://doi.org/10.3390/s21062160

## Installation of cipred v0.0.5 in base R.

```r
setwd("~")
download.file("https://git.nilu.no/rqcr/cipred/-/archive/0.0.5/cipred-0.0.5.tar.gz",destfile="cipred-0.0.5.tar.gz")
untar("cipred-0.0.5.tar.gz")
setwd(file.path("~","cipred-0.0.5"))
source(file.path("~/cipred-0.0.5/lib/buildpkgs.R"))
install.packages(file.path("~","cipred-0.0.5.tar.gz"), repos=NULL, type='source')
unlink(file.path("~/cipred-0.0.5"),recursive=TRUE)
file.remove(file.path("~/cipred-0.0.5.tar.gz"))
```
## docker cipred 0.0.5 for reproducing experiments from paper.

Docker with cipred and all dependencies to reproduce the experiments from the paper located [here](https://hub.docker.com/repository/docker/jmll/cipred_paper).

```bash
docker run -ti --rm jmll/cipred_paper:0.0.1 bash
```
Then run R.

Code for running the experiments are located [here](https://git.nilu.no/rqcr/cipred/-/tree/master/inst/paper).
